<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ZoneListResponse StructType
 * @subpackage Structs
 */
class ZoneListResponse extends AbstractStructBase
{
    /**
     * The ZoneListRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $ZoneListRS;
    /**
     * Constructor method for ZoneListResponse
     * @uses ZoneListResponse::setZoneListRS()
     * @param \StructType\JP_StaticDataRS $zoneListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $zoneListRS = null)
    {
        $this
            ->setZoneListRS($zoneListRS);
    }
    /**
     * Get ZoneListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getZoneListRS()
    {
        return $this->ZoneListRS;
    }
    /**
     * Set ZoneListRS value
     * @param \StructType\JP_StaticDataRS $zoneListRS
     * @return \StructType\ZoneListResponse
     */
    public function setZoneListRS(\StructType\JP_StaticDataRS $zoneListRS = null)
    {
        $this->ZoneListRS = $zoneListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ZoneListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
